import QtQuick
import QtQuick.Studio.Components
import QtQuick.Studio.DesignEffects

Item {
    id: shade
    width: 509
    height: 374

    Rectangle {
        id: rectangle
        color: "#e5e5e5"
        radius: 26
        anchors.fill: parent
    }

    Item {
        id: shadowButton
        width: 138
        height: 138

        EllipseItem {
            id: buttonBack
            fillColor: "#e4e4e4"
            strokeColor: "#00ff0000"

            DesignEffect {
                id: designEffectUnder
                x: 25
                y: 25
                layerBlurRadius: 1

                effects: [
                    DesignDropShadow {
                        id: designInnerShadowUnder
                        blur: 0
                        offsetX: 0
                        offsetY: 0
                        color: "#2a0d2750"
                    },
                    DesignDropShadow {
                        id: designInnerShadowUnder1
                        blur: 0
                        offsetX: 0
                        offsetY: 0
                        color: "#ffffff"
                    },
                    DesignInnerShadow {
                        id: designInnerShadowUnder1232
                        blur: 0
                        offsetX: 0
                        offsetY: 0
                        color: "#290d2750"
                    },
                    DesignInnerShadow {
                        id: designInnerShadowUnder1565
                        blur: 0
                        offsetX: 0
                        offsetY: 0
                        color: "#a3ffffff"
                    }
                ]
            }
        }

        EllipseItem {
            id: buttonTop
            x: 24
            y: 24
            width: 88
            height: 88
            strokeColor: "#00ff0000"
            fillColor: "#e4e4e4"

            DesignEffect {
                id: designEffectUnder454
                x: 25
                y: 25
                layerBlurRadius: 1

                effects: [
                    DesignDropShadow {
                        id: designInnerShadowUnder655
                        blur: 0
                        offsetX: 0
                        offsetY: 0
                        color: "#300d2750"
                    },
                    DesignDropShadow {
                        id: designInnerShadowUnder13434
                        blur: 0
                        offsetX: 0
                        offsetY: 0
                        color: "#ffffff"
                    },
                    DesignInnerShadow {
                        id: designInnerShadowUnder1232787
                        blur: 0
                        offsetX: 0
                        offsetY: 0
                        color: "#290d2750"
                    },
                    DesignInnerShadow {
                        id: designInnerShadowUnder1565232
                        blur: 0
                        offsetX: 0
                        offsetY: 0
                        color: "#a3ffffff"
                    }
                ]
            }
        }
    }
}
